net.dontdrinkandroot.wicket.bootstrap.css

## Class BootstrapResponsiveCssResourceReference

- java.lang.Object
- - org.apache.wicket.request.resource.ResourceReference
  - - org.apache.wicket.request.resource.PackageResourceReference
    - - org.apache.wicket.request.resource.CssResourceReference
      - - net.dontdrinkandroot.wicket.bootstrap.css.BootstrapResponsiveCssResourceReference

All Implemented Interfaces:
  Serializable, org.apache.wicket.util.io.IClusterable

    public class BootstrapResponsiveCssResourceReference
    extends org.apache.wicket.request.resource.CssResourceReference

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.wicket.request.resource.ResourceReference

`org.apache.wicket.request.resource.ResourceReference.Key, org.apache.wicket.request.resource.ResourceReference.UrlAttributes`

### Constructor Summary

Constructors
Constructor and Description
`BootstrapResponsiveCssResourceReference()`

### Method Summary

Methods
`Iterable<? extends org.apache.wicket.markup.head.HeaderItem>` `getDependencies()`

### Methods inherited from class org.apache.wicket.request.resource.CssResourceReference

`getResource`

### Methods inherited from class org.apache.wicket.request.resource.PackageResourceReference

`getMinifiedName, getName, getUrlAttributes, removeCompressFlagIfUnnecessary`

### Methods inherited from class org.apache.wicket.request.resource.ResourceReference

`canBeRegistered, equals, getExtension, getKey, getLocale, getScope, getStyle, getVariation, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BootstrapResponsiveCssResourceReference

    public BootstrapResponsiveCssResourceReference()

### Method Detail

#### getDependencies

    public Iterable<? extends org.apache.wicket.markup.head.HeaderItem> getDependencies()

Overrides:
  `getDependencies` in class `org.apache.wicket.request.resource.ResourceReference`